﻿from PIL import Image
import os

def traitement (a,b,c): # La fonction qui réalise le traitement des couleurs 'inversion

    ancienRouge=a
    ancienVert=b
    ancienBleu=c


    nouveauRouge=ancienRouge
    nouveauVert=0
    nouveauBleu=0


    return(nouveauRouge,nouveauVert,nouveauBleu)


# Programme Principal

imageDebut = Image.open("/home/slecourtier/Documents/COURS/COURS 2022/USATICE/SNT/SNT V1V2 2021/TP photographie numérique/TPe/warhol.bmp") #Ouverture de l'image initiale.

imageDebut.show() #Affichage de cette image.

dimx,dimy = imageDebut.size  #Récupération de ses dimensions.

imageModifiee = Image.new('RGB', (dimx,dimy),(255,255,255)) # Création de l'image de sortie

for i in range(0,dimx,1):
    for j in range(0,dimy,1):
        r,v,b=imageDebut.getpixel((i,j)) # On récupère le triplet des 3 composantes
        r2,v2,b2,=traitement(r,v,b) # On inverse ce triplet.
        imageModifiee.putpixel((i,j),(r2,v2,b2))

imageModifiee.save("warholModifieversionbis.bmp", "bmp") # On enregistre l'image finale

imageModifiee.show()

imageDebut.close()

imageModifiee.close()


